import pytest
from yarl import URL

from resa_padel.gestion_sports_connector import GestionSportsConnector

gestion_sports_url = "https://toulousepadelclub.gestion-sports.com"


@pytest.mark.asyncio
async def test_should_connect_to_gestion_sports_website():
    gs_connector = GestionSportsConnector(gestion_sports_url)

    response = await gs_connector.connect()

    assert response.status == 200
    assert response.method == "GET"
    assert response.content_type == "text/html"
    assert response.url == URL(gestion_sports_url + "/connexion.php")
    assert response.charset == "UTF-8"
